<?php
namespace Ep\WooCommerce;

use Ep\WooCommerce\Product\SimpleProduct;
use Ep\WordPress\Service\AbstractWordPressService;

/**
 * Class ProductService
 *
 * @package Ep\WooCommerce
 * @author Elektronika Perhoč <support@ep.hr>
 * @link https://bitbucket.org/elektronika-perhoc/ep-webshop
 */
class ProductService extends AbstractWordPressService
{
	/**
	 * Kačimo se na WordPress.
	 */
	public function attach(): void
	{
		add_filter('woocommerce_product_class', [$this, 'getProductClass'], 10, 2);
	}

	/**
	 * Vraća ime klase za datu vrstu proizvoda.
	 *
	 * @param string $className
	 * @param string $productType
	 *
	 * @return string
	 */
	public function getProductClass(string $className, string $productType): string
	{
		switch($productType) {
			case 'simple':
				return SimpleProduct::class;
			default:
				return $className;
		}
	}
}